#!/usr/bin/sh
# Licensed Materials - Property of IBM
# 5724-S67
# (c) Copyright IBM Corp. 1998, 2009   All Rights Reserved.
# US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.

TEMPFILE=$1
../bin/marge -out $TEMPFILE > ../log/getaixgroups.log

# Gets a list of local users
LOCAL_USERS_LIST=`lsuser -R files -a id ALL`

# Make new empty temporary file
TEMPORARY=$TEMPFILE.tmp
rm -f $TEMPORARY

HOSTNAME=`hostname`

while read LINE
do
  IS_FOUND_LOGONAME=`echo "$LINE" | grep "match logonname \".*\""`
  
  if [ -n "$IS_FOUND_LOGONAME" ]; then
    LOGON_NAME=`echo "$LINE" | sed -e "s/match logonname \"\(.*\)\"/\1/"`
    
    IS_LOCAL_USER=0
    for LOCAL_USER_NAME in `echo "$LOCAL_USERS_LIST"`
    do
      if [ "$LOGON_NAME" == "$LOCAL_USER_NAME" ]; then
        IS_LOCAL_USER=1
        break;
      fi
    done
    
    if [ "$IS_LOCAL_USER" -eq 1 ]; then
      LINE=`echo "$LINE" | sed -e "s/match logonname \"\(.*\)\"/match logonname \"\1@$HOSTNAME\"/"`
    fi
  fi

  LINE=`echo "$LINE" | sed -e "s/^match \(.*\)/  match \1/`
  echo "$LINE">>$TEMPORARY

done < $TEMPFILE

mv -f $TEMPORARY $TEMPFILE
